.projects {
    margin: 3rem 0;

    width: 100%;
    display: grid;

    grid-template-columns: 1fr 1fr 1fr 1fr;
}

.projects__item {
    position: relative;

    overflow: hidden;

    a {
        position: absolute;
        z-index: 100;
        width: 100%;
        height: 100%;
        display: flex;
        align-items: center;

        background-color: rgba($secondary, .8);
        opacity: 0;

        transition: opacity 0.3s linear;

        &:hover {
            opacity: 1;
        }

        &:active {
            opacity: 0.2;
        }
    }
}
.projects__item-image {
    width: 100%;
    height: 100%;
}

.projects__item-icon {
    width: 10rem;
    height: 5rem;
    margin: 0 auto;
}